# INDCheck class

A check compatible with the CTS-2010 standard issued by the Reserve Bank of India in 2012

Inheritance
  - Object
  - GenericDocumentWrapper
  - Check
  - INDCheck

## Constructors

INDCheck.new(GenericDocument document)

## Properties

accountNumber → TextFieldWrapper
  Account number
  no setter
document → GenericDocument
  final inherited
fontType → TextFieldWrapper?
  type of check font
  no setter inherited
hashCode → int
  The hash code for this object.
  no setter inherited
rawString → TextFieldWrapper
  Detected raw string
  no setter inherited
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
serialNumber → TextFieldWrapper
  Serial number
  no setter
sortNumber → TextFieldWrapper?
  Sort number
  no setter
transactionCode → TextFieldWrapper
  Transaction code
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.